{% extends "layouts/login-layout.html" %}
{% set appFile = "user-auth-app" %}
{% block main %}
	<article data-is="user-register-view">
		<h2>Vencil Admin Register</h2>
		<form autocomplete="false">
			<input type="hidden" name="_csrf" value="{{csrfToken}}">
			<div>
                <label for="full_name">Full Name</label>
                <input id="full_name" type="text" name="full_name" class="validate" placeholder="your full name" autocomplete="off">
                <small id="full_nameHelp" class="form-text text-muted"></small>
            </div>
            <div>
                <label for="username">Username</label>
                <input id="username" type="text" name="username" class="validate" placeholder="your username" autocomplete="off">
                <small id="usernameHelp" class="form-text text-muted"></small>
            </div>
            <div>
                <label for="email">Email</label>
                <input id="email" type="email" name="email" class="validate" placeholder="email@yourmail.com" autocomplete="off">
                <small id="emailHelp" class="form-text text-muted"></small>
            </div>
            <div>
                <label for="password">Password</label>
                <input id="password" type="password" name="password" class="validate" placeholder="" autocomplete="off">
                <small id="passwordHelp" class="form-text text-muted"></small>
            </div>
            <div>
            	<div class="row">
            		<div class="col-6">
            			<button class="button" onclick="{handleRegister.bind(this)}">Sign Up</button>
            		</div>
            	</div>
            </div>
        </form>
	</article>
	<script type="text/javascript">
    	document.addEventListener("DOMContentLoaded", function(event) {
           runningTag['{{appFile}}']({
           		tagName : 'user-register-view',
           		functionName : 'registerView'
           });
        });
    </script>
{% endblock %}
